Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044024
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2020-05-11 14:502020-06-01 15:59
ReportershuehnerView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision67c0a8ee299e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044024: Delete the 2 obsolete Reset Accounting implementations

DescriptionCurrent ERP contains 3 implementations of "Reset Accounting"

a.) Original ad_process "Fact_Acct_Reset DELETE"
With matching pl-function fact_acct_reset

b.) Replaced by intermediate ad_process "Reset Accounting"
with java implementation in:
org.openbravo.erpCommon.ad_process.ResetAccountingProcess

c.) Currently active ActionHandler/ProcessDefinition
org.openbravo.common.actionhandler.ResetAccountingHandler

As both a & b are obsolete they should be removed.
Steps To ReproduceSearch for 'Reset' in Menu window and notice the 3 implementations
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0044116 closedAtulOpenbravo API Change: Remove obsolete DB procedure and Java based Reset Accounting Old process based 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0120317)
hgbot (developer)
2020-05-27 04:52

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 3bd644956ea1703b3b4b175aaf3677831ee9f1bc
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 08:21:41 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/3bd644956ea1703b3b4b175aaf3677831ee9f1bc [^]

Related To BUG-44024:Remove references for obsolete
Java based Reset Accounting process

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0120318)
hgbot (developer)
2020-05-27 05:03

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: a93ed534eb45636babab1cc60d751a8570260e5b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 08:33:11 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/a93ed534eb45636babab1cc60d751a8570260e5b [^]

Related To BUG-44024: Remove references of obsolete
Reset Accounting Process

**Remove reference for DB procedure based Reset Accounting
Old from AD_PINSTANCE and its related AD_PINSTANCE_PARA,
AD_PROCESS_ACCESS and AD_PROCESS_REQUEST
**Remove reference for Java based Reset Accounting Old
from AD_PROCESS_ACCESS

---
M referencedata/sampledata/The_White_Valley_Group/AD_PINSTANCE.xml
M referencedata/sampledata/The_White_Valley_Group/AD_PINSTANCE_PARA.xml
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_REQUEST.xml
---
(0120340)
hgbot (developer)
2020-05-27 09:56

Repository: erp/devel/pi
Changeset: 67c0a8ee299e4c769d367c5e15b9c7dc3e122715
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 26 09:19:16 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/67c0a8ee299e4c769d367c5e15b9c7dc3e122715 [^]

Fixes BUG-44024:Delete the 2 obsolete Reset Accounting
implementations

**Removed DB procedure FACT_ACCT_RESET
**Removed java class ResetAccountingProcess
**Removed references from AD_TREENODE, AD_MENU,
AD_PROCESS_PARA, AD_MODEL_OBJECT, AD_PROCESS,
**Removed references in AD_PROCESS_ACCESS
in F&B International Group & QA Testing client
sample data
**Removed modulescript ResetAccountingAccess &
its related data xsql.

---
M modules/org.openbravo.v3.datasets/referencedata/standard/V3_Roles.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_TREENODE.xml
R src-db/database/model/functions/FACT_ACCT_RESET.xml
R src-util/modulescript/src/org/openbravo/modulescript/ResetAccountingAccess.java
R src-util/modulescript/src/org/openbravo/modulescript/ResetAccountingAccess_data.xsql
R src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
---
(0120342)
hgbot (developer)
2020-05-27 10:12

Repository: erp/devel/pi
Changeset: 947c0b2f9c2d11390fcead09cf5ba4f5e79f0b00
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 27 13:41:22 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/947c0b2f9c2d11390fcead09cf5ba4f5e79f0b00 [^]

Related To BUG-44024:Delete the 2 obsolete Reset Accounting
implementations

**Removed modulescript ResetAccountingAccess &
ResetAccountingAccessData class files

---
R src-util/modulescript/build/classes/org/openbravo/modulescript/ResetAccountingAccess.class
R src-util/modulescript/build/classes/org/openbravo/modulescript/ResetAccountingAccessData.class
---
(0120375)
hgbot (developer)
2020-05-28 04:35

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: b2cd3ad5af5fc71dabb19f6828d68f0d3c932ead
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 28 08:04:34 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/b2cd3ad5af5fc71dabb19f6828d68f0d3c932ead [^]

Related To BUG-44024: Remove references of obsolete
DB Procedure based Reset Accounting process

**Removed reference from AWO QA client AD_PROCESS_ACCESS
sample data

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
---
(0120376)
hgbot (developer)
2020-05-28 04:41

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 1c14e12d1f16d314ae308aa01ba9c54a49823339
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 28 08:10:36 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/1c14e12d1f16d314ae308aa01ba9c54a49823339 [^]

Related To BUG-44024: Remove references of obsolete
DB Procedure based Reset Accounting process (Resubmit
Posting)

**Removed reference from AWO QA client AD_PROCESS_ACCESS
sample data

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
---
(0120377)
hgbot (developer)
2020-05-28 04:44

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 4f4d921431d934e46e4539581c8cb30bab95eec2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 28 08:14:13 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/4f4d921431d934e46e4539581c8cb30bab95eec2 [^]

Related To BUG-44024: Remove references of obsolete
DB Procedure based Reset Accounting process (Resubmit
Posting)

**Removed reference from Retail Test client
AD_PROCESS_ACCESS sample data

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0120433)
hgbot (developer)
2020-05-28 18:47

Repository: erp/devel/pi
Changeset: c87bc75ae00e538f2165b8263f3a644049eb1edc
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 28 07:58:59 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/c87bc75ae00e538f2165b8263f3a644049eb1edc [^]

Related To BUG-44024: Remove references of obsolete
DB Procedure based Reset Accounting process

**Removed reference from CompiereAddendum.txt
**Removed reference from AD_TREENODE, AD_MENU,
AD_PROCESS_PARA, AD_PROCESS
**Removed reference from F&B International Group
and QA testing client AD_PROCESS_ACCESS sample data

---
M legal/CompiereAddendum.txt
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_TREENODE.xml
---
(0120497)
vmromanos (developer)
2020-06-01 15:59

Code review OK

- Issue History
Date Modified Username Field Change
2020-05-11 14:50 shuehner New Issue
2020-05-11 14:50 shuehner Assigned To => Triage Finance
2020-05-11 14:50 shuehner Modules => Core
2020-05-11 14:50 shuehner Triggers an Emergency Pack => No
2020-05-11 14:50 shuehner Relationship added blocks 0032688
2020-05-15 19:05 AtulOpenbravo Status new => scheduled
2020-05-15 19:05 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2020-05-20 08:48 AtulOpenbravo Relationship added depends on 0044116
2020-05-27 04:52 hgbot Checkin
2020-05-27 04:52 hgbot Note Added: 0120317
2020-05-27 05:03 hgbot Checkin
2020-05-27 05:03 hgbot Note Added: 0120318
2020-05-27 09:56 hgbot Checkin
2020-05-27 09:56 hgbot Note Added: 0120340
2020-05-27 09:56 hgbot Status scheduled => resolved
2020-05-27 09:56 hgbot Resolution open => fixed
2020-05-27 09:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67c0a8ee299e4c769d367c5e15b9c7dc3e122715 [^]
2020-05-27 10:12 hgbot Checkin
2020-05-27 10:12 hgbot Note Added: 0120342
2020-05-28 04:35 hgbot Checkin
2020-05-28 04:35 hgbot Note Added: 0120375
2020-05-28 04:41 hgbot Checkin
2020-05-28 04:41 hgbot Note Added: 0120376
2020-05-28 04:44 hgbot Checkin
2020-05-28 04:44 hgbot Note Added: 0120377
2020-05-28 18:47 hgbot Checkin
2020-05-28 18:47 hgbot Note Added: 0120433
2020-06-01 15:59 vmromanos Review Assigned To => vmromanos
2020-06-01 15:59 vmromanos Note Added: 0120497
2020-06-01 15:59 vmromanos Status resolved => closed
2020-06-01 15:59 vmromanos Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker